iMovie and iDVD wont open

Discussion in 'Mac Apps and Mac App Store' started by midnightdoom, Jul 1, 2009.

  1. midnightdoom macrumors newbie

    Joined:
    Jul 1, 2009
    #1
    not long ago i formatted my drive and put 10.5.7 back on, completely fresh install. After this iMovie would not open and just displays this message

    "you cannot use this version of this application iMovie with this version of Mac OS X"

    i put this install disk back in to try and do a manual install of just iMovie but it says 0 kb beside is and doesnt attempt to install over top of it.

    Now iDVD on the other hand, it did work after the reinstall, then today I added the extra themes from the install disk. Now every time i try to open iDVD all it does is quit unexpectedly and just gives me the option to relaunch report ignore.

    Any ideas what i should do to get these working, I just got the 3GS, now i finally have a reason to use them lol
     
  2. JediMeister macrumors 68040

    Joined:
    Oct 9, 2008
    #2
    Are there any updates available for the said applications? Is it possible you are trying to run iLife '05 applications with Leopard?
     
  3. midnightdoom thread starter macrumors newbie

    Joined:
    Jul 1, 2009
    #3
    ok here is my progress today. I checked software update and there were some updates that were hidden so i updates ones to do with iLife (iLife '08 is what i have by the way)

    The updates fixed iMovie for me, but there were no updates for iDVD and it is still not opening. I tried deleting a file from the prefrences com.apple.idvd.plist which somebody on apple forum said to try and repair permissions.. this did not work.

    There are a few updates that i am not sure if i should get or not. One being iLife support 9.0.3, i have '08 and at the bottom it says for users of iLife 09 iWork 09 and Aperture 2.. i have none of these.. should i skip or get.

    side question/update.. the wireless that comes standard with my late 07 imac, is it airport utility.. i have 2 updates for airport utility 5.3.2 and 5.4.2 but they are for airport utility and base station.. should i skip or get
     

Share This Page